%++++++++++++++++++++++++++++++++++++++++
% Don't modify this section unless you know what you're doing!
\documentclass[a4paper,10pt]{article}
\usepackage[utf8]{inputenc}
\usepackage[russian]{babel}
\usepackage{amsfonts}
\usepackage{amssymb}
\usepackage{tabularx} % extra features for tabular environment
\usepackage{amsmath,amssymb}  % improve math presentation
\usepackage{graphicx} % takes care of graphic including machinery
\usepackage[left=0.45in,right=0.45in,top=0.8in,bottom=0.8in,a4paper]{geometry} % decreases margins
\usepackage{cite} % takes care of citations
\usepackage[final]{hyperref} % adds hyper links inside the generated pdf file
%\usepackage{ dsfont }
\hypersetup{
	colorlinks=true,       % false: boxed links; true: colored links
	linkcolor=blue,        % color of internal links
	citecolor=blue,        % color of links to bibliography
	filecolor=magenta,     % color of file links
	urlcolor=blue         
}
\usepackage{amsthm,amsfonts,amscd}
\usepackage{blkarray}
\usepackage{mathtools}
\usepackage{fancyhdr}
\usepackage{xcolor,cancel}
\usepackage{tikz}
\usepackage{graphicx}
%++++++++++++++++++++++++++++++++++++++++

\newcommand{\warning}[1]{\textcolor{red}{#1}}

\newcommand\hcancel[2][black!50]{\setbox0=\hbox{$#2$}\rlap{\raisebox{.35\ht0}{\textcolor{#1}{\rule{\wd0}{0.6pt}}}}#2} 

%++++++++++++++++++++++++++++++++++++++++

\newtheoremstyle{break}% name
  {}%         Space above, empty = `usual value'
  {}%         Space below
  {\itshape}% Body font
  {}%         Indent amount (empty = no indent, \parindent = para indent)
  {\bfseries}% Thm head font
  {.}%        Punctuation after thm head
  {\newline}% Space after thm head: \newline = linebreak
  {}%         Thm head spec

% \theoremstyle{break}
\newtheorem*{theorem}{Теорема}
\newtheorem*{lemma}{Лемма}
\newtheorem*{proposition}{Предложение}
\newtheorem*{consequence}{Следствие}
\newtheorem*{properties}{Свойства}

\theoremstyle{definition}
\newtheorem*{example}{Пример}
\newtheorem*{definition}{Определение}
\newtheorem*{exercise}{Упражнение}
\newtheorem*{observation}{Замечание}
\newtheorem*{designation}{Обозначение}

\renewcommand\qedsymbol{$\blacksquare$}

% math operators

\DeclareMathOperator{\sign}{sign} % sign function
\DeclareMathOperator{\ord}{ord} % ord function
\DeclareMathOperator{\Ima}{Im} % Image function
\DeclareMathOperator{\End}{End} % Endomorphism set
\DeclareMathOperator{\Id}{Id} % Identity
\DeclareMathOperator{\Lin}{Lin} % Linear hull (?)
\DeclareMathOperator{\rk}{rk} % Matrix rank
\DeclareMathOperator{\defect}{def} % Matrix defect
\DeclareMathOperator{\GL}{GL} % GL GL GL (группа матриц нужного размера)
\DeclareMathOperator{\charf}{char} % характеристика поля


% \abs and \norm
\DeclarePairedDelimiter\abs{\lvert}{\rvert}%
\DeclarePairedDelimiter\norm{\lVert}{\rVert}%

\makeatletter
\let\oldabs\abs
\def\abs{\@ifstar{\oldabs}{\oldabs*}}
%
\let\oldnorm\norm
\def\norm{\@ifstar{\oldnorm}{\oldnorm*}}
\makeatother

% shortcuts
\newcommand{\N}{\mathbb{N}} % set of natural numbers
\newcommand{\Z}{\mathbb{Z}} % set of integers
\newcommand{\Q}{\mathbb{Q}} % set of rational numbers
\newcommand{\I}{\mathbb{I}} % set of irrational numbers
\newcommand{\R}{\mathbb{R}} % set of real numbers
\newcommand{\F}{\mathbb{F}} % finite field
\newcommand{\SO}{ \; \, \Rightarrow \; \, } % if
\newcommand{\EQ}{ \; \, \Leftrightarrow \; \, } % if and only if
\newcommand{\EMPTY}{\varnothing} % empty set
\renewcommand{\emptyset}{\varnothing} % empty set
\newcommand{\class}[1]{\left[{#1}\right]}
\newcommand{\units}[1]{{#1}^*}

% more beautiful comparision signs
\renewcommand{\le}{\leqslant}
\renewcommand{\leq}{\leqslant}
\renewcommand{\ge}{\geqslant}
\renewcommand{\geq}{\geqslant}

\lhead{Алгебра I}
\chead{}
\rhead{Современное программирование, 2018}

\pagestyle{fancy}

\begin{document}

\begin{center}
  {\Large\bf 
Алгебра I, осень 2018\\
by Современное Программирование
}
\end{center}
\vspace*{-1em}\noindent \underline{\hbox to 1\textwidth{{ } \hfil{ } \hfil{ } }}


\tableofcontents
\newpage

\setcounter{section}{2}

\input{section3/section}
\input{section4/section}

\end{document}
